package cn.com.infosec.mobile.android;

import android.content.Context;
import android.os.Handler;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.infosec.mobile.android.net.FileDownloadAsyncTask;
import cn.com.infosec.mobile.android.net.FileUploadAsyncTask;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.xlog.XLog;
import cn.com.infosec.mobile.tls.SSL_PROTOCOL;
import cn.com.infosec.mobile.tls.TLSAndroidUtils;
import java.io.ByteArrayInputStream;
import java.io.EOFException;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.io.UnsupportedEncodingException;
import java.net.ProtocolException;
import java.net.SocketTimeoutException;
import java.net.URLEncoder;
import java.net.UnknownHostException;
import java.security.KeyStore;
import java.security.NoSuchProviderException;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.Map;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.KeyManager;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLHandshakeException;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import javax.net.ssl.TrustManagerFactory;
import javax.net.ssl.X509TrustManager;
import org.apache.http.conn.ConnectTimeoutException;
import org.json.JSONException;
import org.json.JSONObject;
import xhttp3.Call;
import xhttp3.Callback;
import xhttp3.ConnectionSpec;
import xhttp3.FormBody;
import xhttp3.OkHttpClient;
import xhttp3.Request;
import xhttp3.Response;

public class IMSDefaultNetworkImpl extends NetworkInterface {
   private String HOST;
   private String sslCACert;
   private ExecutorService executors;
   private OkHttpClient okHttpClient;
   private final Handler mainHandler;

   public IMSDefaultNetworkImpl(Context context, String HOST, String sslCACert) {
      String var10000 = sslCACert;
      super();
      this.HOST = HOST;
      this.sslCACert = sslCACert;
      TLSAndroidUtils.version();
      this.executors = Executors.newCachedThreadPool();
      this.mainHandler = new Handler(context.getMainLooper());

      Exception var27;
      label137: {
         boolean var10001;
         boolean var28;
         try {
            var28 = TextUtils.isEmpty(var10000);
         } catch (Exception var21) {
            var27 = var21;
            var10001 = false;
            break label137;
         }

         if (var28) {
            try {
               this.okHttpClient = new OkHttpClient();
               return;
            } catch (Exception var4) {
               var27 = var4;
               var10001 = false;
            }
         } else {
            label142: {
               String[] var29;
               try {
                  var29 = this.filterCerts(sslCACert);
               } catch (Exception var20) {
                  var27 = var20;
                  var10001 = false;
                  break label142;
               }

               String[] context1 = var29;

               X509Certificate var30;
               try {
                  var30 = (X509Certificate)CertificateFactory.getInstance("X.509").generateCertificate(new ByteArrayInputStream(Base64.decode(context1[0], 2)));
               } catch (Exception var19) {
                  var27 = var19;
                  var10001 = false;
                  break label142;
               }

               X509Certificate HOST1 = var30;
               if (var30 != null) {
                  label123: {
                     try {
                        var28 = TextUtils.equals(HOST1.getSigAlgOID(), "1.2.156.10197.1.501");
                     } catch (Exception var17) {
                        var27 = var17;
                        var10001 = false;
                        break label123;
                     }

                     int var10002;
                     TimeUnit var10003;
                     TimeUnit context2;
                     OkHttpClient.Builder HOST2;
                     long var31;
                     OkHttpClient.Builder var32;
                     IMSDefaultNetworkImpl var33;
                     if (var28) {
                        label143: {
                           try {
                              var33 = this;
                              var32 = new OkHttpClient.Builder;
                           } catch (Exception var10) {
                              var27 = var10;
                              var10001 = false;
                              break label143;
                           }

                           HOST2 = var32;

                           try {
                              HOST2.<init>();
                              var32 = var32.sslSocketFactory(this.createGMSSLSocketFactory(context1), new MyX509TrustManager(context1)).connectionSpecs(this.getConnectionSpecs(SSL_PROTOCOL.GM)).hostnameVerifier(new MyHostNameVerifier());
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var9) {
                              var27 = var9;
                              var10001 = false;
                              break label143;
                           }

                           var31 = (long)var10002;

                           try {
                              var10003 = TimeUnit.MILLISECONDS;
                           } catch (Exception var8) {
                              var27 = var8;
                              var10001 = false;
                              break label143;
                           }

                           context2 = var10003;

                           try {
                              var32 = var32.readTimeout(var31, var10003);
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var7) {
                              var27 = var7;
                              var10001 = false;
                              break label143;
                           }

                           var31 = (long)var10002;

                           try {
                              var32 = var32.connectTimeout(var31, context2);
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var6) {
                              var27 = var6;
                              var10001 = false;
                              break label143;
                           }

                           var31 = (long)var10002;

                           try {
                              var33.okHttpClient = var32.writeTimeout(var31, context2).build();
                              return;
                           } catch (Exception var5) {
                              var27 = var5;
                              var10001 = false;
                           }
                        }
                     } else {
                        label144: {
                           try {
                              var33 = this;
                              var32 = new OkHttpClient.Builder;
                           } catch (Exception var16) {
                              var27 = var16;
                              var10001 = false;
                              break label144;
                           }

                           HOST2 = var32;

                           try {
                              HOST2.<init>();
                              var32 = var32.sslSocketFactory(this.createGJSSLSocketFactory(context1), new MyX509TrustManager(context1)).connectionSpecs(this.getConnectionSpecs(SSL_PROTOCOL.GJ)).hostnameVerifier(new MyHostNameVerifier());
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var15) {
                              var27 = var15;
                              var10001 = false;
                              break label144;
                           }

                           var31 = (long)var10002;

                           try {
                              var10003 = TimeUnit.MILLISECONDS;
                           } catch (Exception var14) {
                              var27 = var14;
                              var10001 = false;
                              break label144;
                           }

                           context2 = var10003;

                           try {
                              var32 = var32.readTimeout(var31, var10003);
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var13) {
                              var27 = var13;
                              var10001 = false;
                              break label144;
                           }

                           var31 = (long)var10002;

                           try {
                              var32 = var32.connectTimeout(var31, context2);
                              var10002 = IMSSdk.timeoutMillSeconds;
                           } catch (Exception var12) {
                              var27 = var12;
                              var10001 = false;
                              break label144;
                           }

                           var31 = (long)var10002;

                           try {
                              var33.okHttpClient = var32.writeTimeout(var31, context2).build();
                              return;
                           } catch (Exception var11) {
                              var27 = var11;
                              var10001 = false;
                           }
                        }
                     }
                  }
               } else {
                  try {
                     this.okHttpClient = new OkHttpClient();
                     return;
                  } catch (Exception var18) {
                     var27 = var18;
                     var10001 = false;
                  }
               }
            }
         }
      }

      IMSDefaultNetworkImpl var34 = this;
      OkHttpClient var22;
      var22 = new OkHttpClient.<init>();
      var34.okHttpClient = var22;
      var27.printStackTrace();
   }

   private void doRequest(final NetworkInterface.NetworkCallback<JSONObject> callback, final String urlSuffix, Request request) {
      final long var4 = System.currentTimeMillis();
      this.okHttpClient.newCall(request).enqueue(new Callback() {
         public void onFailure(Call call, final IOException e) {
            IMSDefaultNetworkImpl.this.mainHandler.post(new Runnable() {
               public void run() {
                  if (IMSSdk.enableLogRequestTime) {
                     long var1 = System.currentTimeMillis() - var4;
                     XLog.d("接口 " + urlSuffix + " 请求时间: " + var1 + "ms");
                  }

                  XLog.d("接口 " + urlSuffix + " 请求失败" + e);
                  <undefinedtype> var4x;
                  IMSDefaultNetworkImpl var10000 = IMSDefaultNetworkImpl.this;
                  <undefinedtype> var10001 = var4x;
                  IOException var3 = e;
                  NetworkInterface.NetworkCallback var5 = callback;
                  String var2 = urlSuffix;
                  var10000.parseError(var3, var5, var2);
               }
            });
         }

         public void onResponse(Call call, final Response response) {
            if (IMSSdk.enableLogRequestTime) {
               long var3 = System.currentTimeMillis() - var4;
               XLog.d("接口 " + urlSuffix + " 请求时间: " + var3 + "ms");
            }

            final String call1 = response.body().string();
            if (IMSSdk.enableDebugLog) {
               XLog.d("接口 " + urlSuffix + " 响应数据: " + call1);
            }

            IMSDefaultNetworkImpl.this.mainHandler.post(new Runnable() {
               public void run() {
                  if (response.isSuccessful()) {
                     try {
                        callback.onSucceed(new JSONObject(call1));
                     } catch (JSONException var1) {
                        callback.onFailed("Json解析异常: " + call1);
                        XLog.d("接口 " + urlSuffix + " Json解析异常: " + call1);
                     }
                  } else {
                     callback.onFailed("网络请求失败: " + call1);
                     XLog.d("接口 " + urlSuffix + " 网络请求失败: " + call1);
                  }

               }
            });
         }
      });
   }

   private FormBody getRequestBody(Map<String, String> params) {
      FormBody.Builder var3;
      var3 = new FormBody.Builder.<init>();
      Iterator params1 = params.entrySet().iterator();

      while(params1.hasNext()) {
         Map.Entry var2;
         var3.add((String)(var2 = (Map.Entry)params1.next()).getKey(), (String)var2.getValue());
      }

      return var3.build();
   }

   private void parseError(@NonNull IOException e, NetworkInterface.NetworkCallback<JSONObject> callback, String urlSuffix) {
      String var4;
      if (e instanceof ConnectTimeoutException) {
         var4 = "连接服务器超时";
      } else if (e instanceof SocketTimeoutException) {
         var4 = "请求超时";
      } else if (e instanceof UnknownHostException) {
         var4 = "域名解析异常";
      } else if (e instanceof SSLHandshakeException) {
         var4 = "SSL握手异常";
      } else if (e instanceof InterruptedIOException) {
         var4 = "IO中断异常";
      } else if (e instanceof EOFException) {
         var4 = "流结束异常";
      } else if (e instanceof UnsupportedEncodingException) {
         var4 = "编码异常";
      } else if (e instanceof ProtocolException) {
         var4 = "协议异常";
      } else if (!TextUtils.isEmpty(e.getMessage())) {
         var4 = "网络请求失败，原因: ".concat(e.getMessage());
      } else {
         var4 = "网络请求失败";
      }

      XLog.d("接口 " + urlSuffix + " 请求失败 callback = " + var4);
      callback.onFailed(var4);
   }

   private ArrayList<ConnectionSpec> getConnectionSpecs(SSL_PROTOCOL protocol) {
      ArrayList var3;
      var3 = new ArrayList.<init>();
      int var2;
      if ((var2 = null.$SwitchMap$cn$com$infosec$mobile$tls$SSL_PROTOCOL[protocol.ordinal()]) != 1) {
         if (var2 != 2) {
            throw new IllegalArgumentException("protocol not supported " + protocol);
         }

         var3.add(ConnectionSpec.MODERN_TLS);
      } else {
         var3.add((new ConnectionSpec.Builder(ConnectionSpec.MODERN_TLS)).tlsVersions(new String[]{"GMTLSv1.1"}).cipherSuites(new String[]{"TLS_ECC_WITH_SM4_SM3", "TLS_ECDHE_WITH_SM4_SM3"}).build());
      }

      return var3;
   }

   private SSLSocketFactory createGJSSLSocketFactory(String[] trustCerts) {
      SSLContext var5 = SSLContext.getInstance("TLS");
      KeyStore var2;
      (var2 = KeyStore.getInstance(KeyStore.getDefaultType())).load((KeyStore.LoadStoreParameter)null);
      CertificateFactory var3 = CertificateFactory.getInstance("X.509");

      String var4;
      for(var4 = 0; var4 < trustCerts.length; ++var4) {
         var2.setCertificateEntry("CACert" + var4, (X509Certificate)var3.generateCertificate(new ByteArrayInputStream(Base64.decode(trustCerts[var4], 2))));
      }

      KeyStore trustCerts1;
      KeyStore var10000 = trustCerts1 = KeyStore.getInstance("AndroidCAStore");
      var10000.load((KeyStore.LoadStoreParameter)null);
      Enumeration var9 = var10000.aliases();

      while(var9.hasMoreElements()) {
         var2.setCertificateEntry(var4, trustCerts1.getCertificate(var4 = (String)var9.nextElement()));
      }

      TrustManagerFactory var10002 = TrustManagerFactory.getInstance("X509");
      var10002.init(var2);
      KeyManager[] var6 = new KeyManager[0];
      TrustManager[] trustCerts2 = var10002.getTrustManagers();
      var5.init(var6, trustCerts2, SecureRandom.getInstance("SHA1PRNG"));
      return var5.getSocketFactory();
   }

   private SSLSocketFactory createGMSSLSocketFactory(String[] trustCerts) {
      return TLSAndroidUtils.createSSLSocketFactory("GMTLSV1.1", trustCerts);
   }

   public String getSSLTrustCert() {
      return this.sslCACert;
   }

   public String getExactHost() {
      return (TextUtils.isEmpty(this.sslCACert) ? "http" : "https").concat("://").concat(this.HOST);
   }

   protected void doHTTPGet(String urlSuffix, Map<String, String> params, NetworkInterface.NetworkCallback<JSONObject> callback) {
      IMSDefaultNetworkImpl var10000 = this;
      String var4 = this.getExactHost().concat(urlSuffix);
      var10000.doRequest(callback, var4, (new Request.Builder()).url(var4).get().build());
   }

   protected void doHTTPPost(String urlSuffix, Map<String, String> params, NetworkInterface.NetworkCallback<JSONObject> callback) {
      IMSDefaultNetworkImpl var10000 = this;
      IMSDefaultNetworkImpl var10002 = this;
      String var4 = this.getExactHost().concat(urlSuffix);
      var10000.doRequest(callback, urlSuffix, (new Request.Builder()).url(var4).post(var10002.getRequestBody(params)).build());
   }

   protected JSONObject doHTTPGet(final String urlSuffix, Map<String, String> params) {
      return (JSONObject)this.executors.submit(new Callable<JSONObject>() {
         public JSONObject call() {
            long var1 = System.currentTimeMillis();
            String var3 = IMSDefaultNetworkImpl.this.getExactHost().concat(urlSuffix);
            Request var5 = (new Request.Builder()).url(var3).get().build();
            Response var6 = IMSDefaultNetworkImpl.this.okHttpClient.newCall(var5).execute();
            if (IMSSdk.enableLogRequestTime) {
               var1 = System.currentTimeMillis() - var1;
               XLog.d("接口 " + urlSuffix + " 请求时间: " + var1 + "ms");
            }

            String var4 = var6.body().string();
            if (IMSSdk.enableDebugLog) {
               XLog.d("接口 " + urlSuffix + " 响应数据: " + var4);
            }

            if (var6.isSuccessful()) {
               return new JSONObject(var4);
            } else {
               XLog.d("接口 " + urlSuffix + " doHTTPGet 网络请求失败");
               return null;
            }
         }
      }).get();
   }

   protected JSONObject doHTTPPost(final String urlSuffix, final Map<String, String> params) {
      Future var10000 = this.executors.submit(new Callable<JSONObject>() {
         public JSONObject call() {
            long var1 = System.currentTimeMillis();
            String var3 = IMSDefaultNetworkImpl.this.getExactHost().concat(urlSuffix);
            Request var5 = (new Request.Builder()).url(var3).post(IMSDefaultNetworkImpl.this.getRequestBody(params)).build();
            Response var6 = IMSDefaultNetworkImpl.this.okHttpClient.newCall(var5).execute();
            if (IMSSdk.enableLogRequestTime) {
               var1 = System.currentTimeMillis() - var1;
               XLog.d("接口 " + urlSuffix + " 请求时间: " + var1 + "ms");
            }

            String var4 = var6.body().string();
            if (IMSSdk.enableDebugLog) {
               XLog.d("接口 " + urlSuffix + " 响应数据: " + var4);
            }

            if (var6.isSuccessful()) {
               return new JSONObject(var4);
            } else {
               XLog.d("接口 " + urlSuffix + " doHTTPPost 网络请求失败");
               return null;
            }
         }
      });

      Object var5;
      try {
         return (JSONObject)var10000.get();
      } catch (ExecutionException var3) {
         var5 = var3;
      } catch (InterruptedException var4) {
         var5 = var4;
      }

      XLog.d("接口 " + urlSuffix + " 网络请求失败", (Throwable)var5);
      return null;
   }

   protected void doDownload(String url, String destFileName, File destDirectory, NetworkInterface.NetworkDownloadCallback downloadCallback) {
      FileDownloadAsyncTask var10000 = new FileDownloadAsyncTask(destDirectory, downloadCallback);
      String[] destDirectory1;
      String[] var10001 = destDirectory1 = new String[3];
      destDirectory1[0] = url;
      destDirectory1[1] = destFileName;
      var10001[2] = this.sslCACert;
      var10000.execute(destDirectory1);
   }

   protected boolean doDownload(final String urlSuffix, final String destFilePath) {
      return ((File)this.executors.submit(new Callable<File>() {
         public File call() {
            Request var1 = (new Request.Builder()).url(urlSuffix).build();
            Response var6;
            if (!(var6 = IMSDefaultNetworkImpl.this.okHttpClient.newCall(var1).execute()).isSuccessful()) {
               throw new IllegalStateException("服务器返回错误的响应码:" + var6);
            } else {
               File var2;
               File var10000 = var2 = new File;
               var10000.<init>(destFilePath);
               if (!var10000.exists()) {
                  var2.createNewFile();
               }

               InputStream var7 = var6.body().byteStream();
               FileOutputStream var3;
               var3 = new FileOutputStream.<init>(destFilePath);
               byte[] var5 = new byte[1024];

               int var4;
               while((var4 = var7.read(var5)) > 0) {
                  var3.write(var5, 0, var4);
               }

               var7.close();
               var3.flush();
               var3.close();
               return var2;
            }
         }
      }).get()).length() > 0L;
   }

   protected void doUpload(String url, String key, File srcFile, Map<String, String> params, NetworkInterface.NetworkUploadCallback uploadCallback) {
      FileUploadAsyncTask var10000 = new FileUploadAsyncTask(srcFile, params, uploadCallback);
      String[] srcFile1;
      String[] var10001 = srcFile1 = new String[3];
      srcFile1[0] = url;
      srcFile1[1] = key;
      var10001[2] = this.sslCACert;
      var10000.execute(srcFile1);
   }

   protected byte[] encodeParametersForPost(Map<String, String> params, String paramsEncoding) {
      Map var10000 = params;
      StringBuilder var14;
      var14 = new StringBuilder.<init>();

      UnsupportedEncodingException var18;
      label83: {
         boolean var10001;
         Iterator var19;
         try {
            var19 = var10000.entrySet().iterator();
         } catch (UnsupportedEncodingException var13) {
            var18 = var13;
            var10001 = false;
            break label83;
         }

         Iterator params1 = var19;

         while(true) {
            boolean var20;
            try {
               var20 = params1.hasNext();
            } catch (UnsupportedEncodingException var5) {
               var18 = var5;
               var10001 = false;
               break;
            }

            if (!var20) {
               try {
                  return var14.toString().getBytes(paramsEncoding);
               } catch (UnsupportedEncodingException var4) {
                  var18 = var4;
                  var10001 = false;
                  break;
               }
            }

            Map.Entry var10002;
            StringBuilder var21;
            StringBuilder var22;
            try {
               var21 = var14;
               var22 = var14;
               var10002 = (Map.Entry)params1.next();
            } catch (UnsupportedEncodingException var12) {
               var18 = var12;
               var10001 = false;
               break;
            }

            Map.Entry var3 = var10002;

            try {
               var22.append(URLEncoder.encode((String)var10002.getKey(), paramsEncoding));
            } catch (UnsupportedEncodingException var11) {
               var18 = var11;
               var10001 = false;
               break;
            }

            try {
               var21.append('=');
            } catch (UnsupportedEncodingException var10) {
               var18 = var10;
               var10001 = false;
               break;
            }

            String var23;
            try {
               var23 = (String)var3.getValue();
            } catch (UnsupportedEncodingException var9) {
               var18 = var9;
               var10001 = false;
               break;
            }

            String var17 = var23;

            try {
               var20 = TextUtils.isEmpty(var23);
            } catch (UnsupportedEncodingException var8) {
               var18 = var8;
               var10001 = false;
               break;
            }

            if (!var20) {
               try {
                  var14.append(URLEncoder.encode(var17, paramsEncoding));
               } catch (UnsupportedEncodingException var7) {
                  var18 = var7;
                  var10001 = false;
                  break;
               }
            }

            try {
               var14.append('&');
            } catch (UnsupportedEncodingException var6) {
               var18 = var6;
               var10001 = false;
               break;
            }
         }
      }

      UnsupportedEncodingException var15 = var18;
      throw new RuntimeException("不支持的编码格式: " + paramsEncoding, var15);
   }

   protected String encodeParametersForGet(Map<String, String> params) {
      StringBuilder var3;
      var3 = new StringBuilder.<init>();

      for(Iterator params1 = params.entrySet().iterator(); params1.hasNext(); var3.append('&')) {
         Map.Entry var2;
         var3.append(URLEncoder.encode((String)(var2 = (Map.Entry)params1.next()).getKey()));
         var3.append('=');
         String var5;
         if (!TextUtils.isEmpty(var5 = (String)var2.getValue())) {
            var3.append(URLEncoder.encode(var5));
         }
      }

      return var3.toString();
   }

   public String[] filterCerts(String input) {
      ArrayList var7;
      var7 = new ArrayList.<init>();
      String[] input1;
      String[] var10000 = input1 = input.split("\n");
      StringBuilder var2;
      var2 = new StringBuilder.<init>();
      boolean var3 = false;
      int var4 = var10000.length;

      for(int var5 = 0; var5 < var4; ++var5) {
         String var6;
         if ((var6 = input1[var5]).startsWith("-----BEGIN CERTIFICATE-----")) {
            var3 = true;
         } else if (var6.startsWith("-----END CERTIFICATE-----")) {
            var3 = false;
            var7.add(var2.toString());
            var2 = new StringBuilder.<init>();
         } else if (var3) {
            var2.append(var6.trim());
         }
      }

      return (String[])var7.toArray(new String[0]);
   }

   private static final class MyHostNameVerifier implements HostnameVerifier {
      private MyHostNameVerifier() {
      }

      // $FF: synthetic method
      MyHostNameVerifier(Object x0) {
         this();
      }

      public boolean verify(String hostname, SSLSession session) {
         return true;
      }
   }

   private static final class MyX509TrustManager implements X509TrustManager {
      private String[] trustCerts;

      public MyX509TrustManager(String[] trustCerts) {
         this.trustCerts = trustCerts;
      }

      public void checkClientTrusted(X509Certificate[] chain, String authType) {
      }

      public void checkServerTrusted(X509Certificate[] chain, String authType) {
      }

      public X509Certificate[] getAcceptedIssuers() {
         CertificateException var9;
         label54: {
            NoSuchProviderException var10000;
            label46: {
               X509Certificate[] var10;
               boolean var10001;
               try {
                  var10 = new X509Certificate[this.trustCerts.length];
               } catch (CertificateException var7) {
                  var9 = var7;
                  var10001 = false;
                  break label54;
               } catch (NoSuchProviderException var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label46;
               }

               X509Certificate[] var1 = var10;
               int var2 = 0;

               while(true) {
                  int var11;
                  int var12;
                  try {
                     var11 = var2;
                     var12 = this.trustCerts.length;
                  } catch (CertificateException var5) {
                     var9 = var5;
                     var10001 = false;
                     break label54;
                  } catch (NoSuchProviderException var6) {
                     var10000 = var6;
                     var10001 = false;
                     break;
                  }

                  if (var11 >= var12) {
                     return var1;
                  }

                  try {
                     var1[var2] = (X509Certificate)CertificateFactory.getInstance("X.509", "INFOSEC").generateCertificate(new ByteArrayInputStream(Base64.decode(this.trustCerts[var2], 2)));
                  } catch (CertificateException var3) {
                     var9 = var3;
                     var10001 = false;
                     break label54;
                  } catch (NoSuchProviderException var4) {
                     var10000 = var4;
                     var10001 = false;
                     break;
                  }

                  ++var2;
               }
            }

            var10000.printStackTrace();
            return null;
         }

         var9.printStackTrace();
         return null;
      }
   }
}
